/* x.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


/* This include file just includes X and the graphics library (GL or XFDI)
   in such a way that type conflicts (Cursor) are avoided.
*/


#ifndef MY_X_H
#define MY_X_H



#ifdef stellar
#  include <xfdi.h>
#  include <X11/Xlib.h>
#  include <X11/Xcm.h>
#  include <X11/Xdb.h>
#  include <X11/Xutil.h>
#  include <X11/Xatom.h>
#  include <X11/cursorfont.h>
#  include <X11/keysym.h>
#endif

#ifdef sgi
#  include <X11/Xlib.h>
#  include <gl/gl.h>
#  include <X11/Xutil.h>
#  include <X11/cursorfont.h>
#  include <X11/keysym.h>
#endif

#ifdef ibm
#  include <X11/Xlib.h>
#  include <gl/gl.h>
#  include <X11/Xutil.h>
#  include <X11/cursorfont.h>
#  include <X11/keysym.h>
#endif

#ifdef foo
   /* include foo's X and graphics library .h files here */
#endif


#endif

